echo this is the class: %1

if :%1:==:: goto docs

rd tmpdoc /s
javadoc  -Xdoclint:none -package -d tmpdoc %1
goto end

:docs
echo usage: javadoc  -Xdoclint:none -package -d tmpdoc JAVAPROGRAM.java

:end
